uses coolkey;
var
 KT : PKeyTable;
 i  : EScanCode;
begin
 KT := InitKeyboard;

 aSSIGN(oUTpUT,'cOOL.TXT');
 rEWRITE(OUTpUT);
 while not KT^[SC_ESCAPE] do
 begin
  WritelN;{(#13'                                                        '#13);}
  for i := SC_BUFFULL to SC_FF do
   if KT^[i] then Write('Cool ', SC_NAME[i],' ');
 end;
 cLOSE(oUTPUT);
 CloseKeyboard;
end.